%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname cinderclient
%if 0%{?fedora}
%global with_python3 1
%endif

Name:             python-cinderclient
Version:          1.9.0
Release:          4%{?dist}
Provides:          python2-cinderclient = %{version}-%{release}
Summary:          Python API and CLI for OpenStack Cinder

License:          ASL 2.0
URL:              http://github.com/openstack/python-cinderclient
Source0:          https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz

# patches_base=+2
Patch0001: 0001-Mask-passwords-when-logging-HTTP-req-resp-bodies.patch

BuildArch:        noarch

BuildRequires:    git
BuildRequires:    python2-devel
Requires:         python-babel
Requires:         python-keystoneclient
Requires:         python-pbr
Requires:         python-prettytable
Requires:         python-requests
Requires:         python-setuptools
Requires:         python-simplejson
Requires:         python-six
Requires:         python-keystoneauth1 >= 2.10.0
Requires:         python-oslo-i18n >= 2.1.0
Requires:         python-oslo-utils >= 3.16.0
BuildRequires:    python-setuptools
BuildRequires:    python-pbr
BuildRequires:    python-d2to1

%description
Client library (cinderclient python module) and command line utility
(cinder) for interacting with OpenStack Cinder (Block Storage) API.

%if 0%{?with_python3}
%package -n python3-%{sname}
Summary:          Python API and CLI for OpenStack Cinder
%{?python_provide:%python_provide python3-%{sname}}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-pbr
BuildRequires:    python3-d2to1

Requires:         python3-babel
Requires:         python3-keystoneclient
Requires:         python3-pbr
Requires:         python3-prettytable
Requires:         python3-requests
Requires:         python3-setuptools
Requires:         python3-simplejson
Requires:         python3-six
Requires:         python3-keystoneauth1 >= 2.10.0
Requires:         python3-oslo-i18n >= 2.1.0
Requires:         python3-oslo-utils >= 3.16.0

%description -n python3-%{sname}
Client library (cinderclient python module) and command line utility
(cinder) for interacting with OpenStack Cinder (Block Storage) API.
%endif


%package doc
Summary:          Documentation for OpenStack Cinder API Client
Group:            Documentation

BuildRequires:    python-reno
BuildRequires:    python-sphinx
BuildRequires:    python-oslo-sphinx

%description      doc
Client library (cinderclient python module) and command line utility
(cinder) for interacting with OpenStack Cinder (Block Storage) API.

This package contains auto-generated documentation.


%prep
%autosetup -n %{name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -rf python_cinderclient.egg-info

# Let RPM handle the requirements
rm -f {,test-}requirements.txt

%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"
%if 0%{?with_python3}
%py3_build
%endif

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build -b html doc/source html
sphinx-build -b man doc/source man

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

%install
%if 0%{?with_python3}
%py3_install
mv %{buildroot}%{_bindir}/cinder %{buildroot}%{_bindir}/cinder-%{python3_version}
ln -s ./cinder-%{python3_version} %{buildroot}%{_bindir}/cinder-3
# Delete tests
rm -fr %{buildroot}%{python3_sitelib}/cinderclient/tests
%endif

CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/cinder %{buildroot}%{_bindir}/cinder-%{python2_version}
ln -s ./cinder-%{python2_version} %{buildroot}%{_bindir}/cinder-2
# Delete tests
rm -fr %{buildroot}%{python2_sitelib}/cinderclient/tests

ln -s ./cinder-2 %{buildroot}%{_bindir}/cinder

install -p -D -m 644 tools/cinder.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/cinder.bash_completion

install -p -D -m 644 man/cinder.1 %{buildroot}%{_mandir}/man1/cinder.1

%files -n python-%{sname}
%doc README.rst
%license LICENSE
%{_bindir}/cinder
%{_bindir}/cinder-2*
%{python2_sitelib}/cinderclient
%{python2_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d/cinder.bash_completion
%{_mandir}/man1/cinder.1*

%if 0%{?with_python3}
%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{_bindir}/cinder-3*
%{python3_sitelib}/cinderclient
%{python3_sitelib}/*.egg-info
%endif

%files doc
%doc html

%changelog
* Mon Dec 05 2016 Eric Harney <eharney@redhat.com> 1.9.0-4
- Fix versions for keystoneauth1, oslo-i18n deps (RHBZ #1394955)

* Fri Dec 02 2016 Eric Harney <eharney@redhat.com> 1.9.0-3
- Add deps on keystoneauth1, oslo-i18n, and oslo-utils (RHBZ #1394955)

* Fri Nov 18 2016 Eric Harney <eharney@redhat.com> 1.9.0-2
- Mask passwords when logging HTTP req/resp bodies (RHBZ #1394953)

* Sat Sep 10 2016 Haikel Guemar <hguemar@fedoraproject.org> 1.9.0-1
- Update to 1.9.0

